## org.apache.mahout.classifier.discriminative
Class TrainingException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.apache.mahout.classifier.discriminative.TrainingException

All Implemented Interfaces:
  java.io.Serializable

    public class TrainingException

extends java.lang.Exception

This exception is thrown in case training fails. E.g. training with an algorithm that can find linear separating hyperplanes only on a training set that is not linearly separable.

See Also:
  Serialized Form

Constructor Summary
`TrainingException(java.lang.String message)` Init with message string describing the cause of the exception.

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### TrainingException

    public TrainingException(java.lang.String message)

  Init with message string describing the cause of the exception.

Copyright © 2008-2010 The Apache Software Foundation. All Rights Reserved.